Python
import os
from profound import Profound
client = Profound(
api_key=os.environ.get("PROFOUND_API_KEY"),
)
category = client.organizations.categories.prompts(
category_id="7c9e6679-7425-40de-944b-e07fc1f90ae7",
limit=10000,
order_by="created_at",
order_dir="desc",
status=["active"],
)
print(category)import Profound from '@profoundai/client';
const client = new Profound({
apiKey: process.env['PROFOUND_API_KEY'], // defaults to the PROFOUND_API_KEY env var
environment: 'production',
});
const category = await client.organizations.categories.prompts('7c9e6679-7425-40de-944b-e07fc1f90ae7', {
limit: 10000,
order_by: 'created_at',
order_dir: 'desc',
status: ['active'],
});
console.log(category);use profound::*;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = ProfoundClient::builder()
.api_key(std::env::var("PROFOUND_API_KEY")?)
.build()?;
let response = client
.organizations()
.categories()
.prompts("7c9e6679-7425-40de-944b-e07fc1f90ae7")
.send()
.await?;
println!("{:?}", response);
Ok(())
}curl --request GET \
--url https://api.tryprofound.com/v1/org/categories/{category_id}/prompts \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.tryprofound.com/v1/org/categories/{category_id}/prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"info": {
"total_rows": 123,
"limit": 123,
"next_cursor": "<string>"
},
"data": [
{
"id": "<string>",
"prompt": "<string>",
"language": "<string>",
"status": "active",
"topic": {
"id": "<string>",
"name": "<string>"
},
"regions": [
{
"id": "<string>",
"name": "<string>"
}
],
"platforms": [
{
"id": "<string>",
"name": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"analysis_types": [],
"prompt_type": "",
"tags": [],
"personas": []
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Prompts
List prompts
Retrieve prompts in a category with optional filtering by type, topic, tag, region, platform, or persona. Supports cursor-based pagination.
GET
/
v1
/
org
/
categories
/
{category_id}
/
prompts
Python
import os
from profound import Profound
client = Profound(
api_key=os.environ.get("PROFOUND_API_KEY"),
)
category = client.organizations.categories.prompts(
category_id="7c9e6679-7425-40de-944b-e07fc1f90ae7",
limit=10000,
order_by="created_at",
order_dir="desc",
status=["active"],
)
print(category)import Profound from '@profoundai/client';
const client = new Profound({
apiKey: process.env['PROFOUND_API_KEY'], // defaults to the PROFOUND_API_KEY env var
environment: 'production',
});
const category = await client.organizations.categories.prompts('7c9e6679-7425-40de-944b-e07fc1f90ae7', {
limit: 10000,
order_by: 'created_at',
order_dir: 'desc',
status: ['active'],
});
console.log(category);use profound::*;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = ProfoundClient::builder()
.api_key(std::env::var("PROFOUND_API_KEY")?)
.build()?;
let response = client
.organizations()
.categories()
.prompts("7c9e6679-7425-40de-944b-e07fc1f90ae7")
.send()
.await?;
println!("{:?}", response);
Ok(())
}Authorizations
APIKeyHeaderBearerAuth
Path Parameters
Query Parameters
Maximum number of prompts to return.
Required range:
x <= 10000Pagination cursor from a previous response.
Field used to order prompts.
Available options:
created_at, prompt Sort direction for the selected order field.
Available options:
asc, desc Filter by analysis type (visibility, sentiment, accuracy).
Available options:
visibility, sentiment, sentiment_v2, accuracy Deprecated. Use analysis_type instead.
Available options:
visibility, sentiment Filter by prompt status. Defaults to active only.
Available options:
active, disabled Filter by topic IDs.
Filter by tag IDs.
Filter by region IDs.
Filter by platform IDs.
Filter by persona IDs.
Was this page helpful?